(40)/*
	Tenemos un vector A con 5 elementos: 1 3 5 7 9.
	Tenemos un vector B con 6 elementos: 0 1 2 3 5 7 .
	
	Como se puede observar, ambos vectores se encuentran ordenados en orden creciente.
	
	
	Necesitamos un programa que:
	- Se declaren los dos vectores, y en la declaración se le asignen los valores 
	  anteriormente indicados.
	- Con la ayuda de un tercer vector C, con 11 posiciones, hay que introducir los elementos
	de los vectores A y B, en el vector C, de forma que queden ordenados en el vector C.

	¡ATENCIÓN!. NO INTRODUCIR TODOS LOS VALORES EN C, Y DESPUÉS ORDENARLOS. HAY QUE IR 
	INTRODUCIÉNDOLOS ORDENADAMENTE.
	
	EVIDENTEMENTE, EL PROGRAMA DEBE FUNCIONAR AUNQUE CAMBIÁRAMOS LOS NÚMEROS QUE ALMACENAN
	el vector A y el vector B.
	
	- NO ES NECESARIO MOSTRAR EL VECTOR ordenado C en pantalla.
	
	
*/

#include <stdio.h>
#include <conio.h>
#define TAMA 5
#define TAMB 6
#define TAMC TAMA+TAMB

/***************************PROTOTIPOS**********************************/
void muestravector(int[]);
/*********************************************************************/
void muestravector(int vector[TAMC])
{
 int i;

 for (i=0;i<TAMC;i++)
  printf("%i ",vector[i]);
}
/*********************************************************************/
void main(void)
{
 int a[TAMA]={1,3,5,7,9};
 int b[TAMB]={0,1,2,3,5,7};
 int c[TAMC];
 int indicea,indiceb,indicec;


 clrscr();
 
 indicea=0;
 indiceb=0;
 indicec=0;
 
 while (indicec<TAMC)
 {
  if (a[indicea]<b[indiceb])
	{
	c[indicec]=a[indicea];
	indicec++;
	indicea++;
	if (indicea==TAMA)     /*Hemos llegado al final del vector. Por tanto, el resto de los
			   elementos pertenecerán al vector B*/
	 while (indicec<TAMC)
	  {
	   c[indicec]=b[indiceb];
	   indicec++;
	   indiceb++;
	  }

   }
  else
  	{
  		c[indicec]=b[indiceb];
		indicec++;
  		indiceb++;
		if (indiceb==TAMB)		/*Hemos llegado al final del vector. Por tanto, el resto de los
			   elementos pertenecerán al vector A*/
	 while (indicec<TAMC)
   	 {
   	  c[indicec]=a[indicea];
   	  indicec++;
   	  indicea++;
	 }
	}
 }
 muestravector(c);  /*no es necesario hacer*/
}